Looking for more information on how to do PHP the right way? Check out PHP: The Right Way

David Kent Norman's Blog:
Drupal on Snow Leopard
Sep 03, 2009 @ 11:48:37

David Kent Norman has posted a new guide for those Drupal users wanting to get your favorite CMS up and running on the latest version of Apple's OS (Snow Leopard). The real issue comes with the stock Drupal install and the PHP 5.3 Snow Leopard comes bundled with.

Drupal 6 probably won't ever work right on PHP 5.3.0, which is what Snow Leopard packs by default. My feeling is that since Ubuntu LTS still runs PHP 5.2, Drupal 7 won't work at production level on PHP 5.3.0 either. For that reason, here is my PHP 5.2.10 install instructions for Snow Leopard. It will trash your built-in Snow Leopard install.

He includes links to the various packages you'd need to download and the configure command with a hefty helping of parameters to get things set up correctly. Also, as mentioned in one of the comments, there is a patch that can be applied to make the system work correctly with PHP 5.3.

tagged: drupal snowleopard apple

Link: